Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.ereignis
Class Ereignisbearbeiter

    java.lang.Object
      sum.ereignis.Ereignisbearbeiter

All Implemented Interfaces:
  Serializable

    public abstract class Ereignisbearbeiter

extends Object
implements Serializable

Der Ereignisbearbeiter ist die abstrakte Oberklasse fuer konkrete Ereignisbearbeiter und besitzt leere Methoden zur Bearbeitung von Ereignissen, die in den konkreten Ereignisbearbeitern ueberschrieben werden.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek
See Also:
  Serialized Form

Constructor Summary
`Ereignisbearbeiter()` Der Ereignisbearbeiter wird initialisiert.

Method Summary
`void` | `bearbeiteDoppelKlick(int pWoH, int pWoV)` Der Ereignisbearbeiter wird ueber das Doppelklickereignis informiert.
`void` | `bearbeiteFokusErhalten()` Der Ereignisbearbeiter wird ueber das Fokuserhaltenereignis informiert.
`void` | `bearbeiteFokusVerloren()` Der Ereignisbearbeiter wird ueber das Fokusverlorenereignis informiert.
`void` | `bearbeiteLeerlauf()` Der Ereignisbearbeiter wird ueber das Leerlaufereignis informiert.
`void` | `bearbeiteMausBewegt(int pWohinH, int pWohinV)` Der Ereignisbearbeiter wird ueber das Mausbewegtereignis informiert.
`void` | `bearbeiteMausDruck(int pWoH, int pWoV)` Der Ereignisbearbeiter wird ueber das Mausdruckereignis informiert.
`void` | `bearbeiteMausLos(int pWoH, int pWoV)` Der Ereignisbearbeiter wird ueber das Mauslosereignis informiert.
`void` | `bearbeiteTaste(char pZeichen)` Der Ereignisbearbeiter wird ueber das Tastaturereignis informiert.
`void` | `bearbeiteUpdate()` Der Ereignisbearbeiter wird ueber das Updateereignis informiert.
`void` | `gibFrei()` Aus Kompatibilitaetsgruenden

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ereignisbearbeiter

    public Ereignisbearbeiter()

  Der Ereignisbearbeiter wird initialisiert.

Method Detail

### bearbeiteDoppelKlick

    public void bearbeiteDoppelKlick(int pWoH,
                                     int pWoV)

  Der Ereignisbearbeiter wird ueber das Doppelklickereignis informiert.

  Parameters:
    `pWoH` - die horizontale Position der Maus beim Doppelklick
    `pWoV` - die vertikale Position der Maus beim Doppelklick

### bearbeiteFokusErhalten

    public void bearbeiteFokusErhalten()

  Der Ereignisbearbeiter wird ueber das Fokuserhaltenereignis informiert.

### bearbeiteFokusVerloren

    public void bearbeiteFokusVerloren()

  Der Ereignisbearbeiter wird ueber das Fokusverlorenereignis informiert.

### bearbeiteLeerlauf

    public void bearbeiteLeerlauf()

  Der Ereignisbearbeiter wird ueber das Leerlaufereignis informiert.

### bearbeiteMausBewegt

    public void bearbeiteMausBewegt(int pWohinH,
                                    int pWohinV)

  Der Ereignisbearbeiter wird ueber das Mausbewegtereignis informiert.

  Parameters:
    `pWohinH` - die horizontale Position der Maus nach der Bewegung
    `pWohinV` - die vertikale Position der Maus nach der Bewegung

### bearbeiteMausDruck

    public void bearbeiteMausDruck(int pWoH,
                                   int pWoV)

  Der Ereignisbearbeiter wird ueber das Mausdruckereignis informiert.

  Parameters:
    `pWoH` - die horizontale Position der Maus beim Druck der Maustaste
    `pWoV` - die vertikale Position der Maus beim Druck der Maustaste

### bearbeiteMausLos

    public void bearbeiteMausLos(int pWoH,
                                 int pWoV)

  Der Ereignisbearbeiter wird ueber das Mauslosereignis informiert.

  Parameters:
    `pWoH` - die horizontale Position der Maus beim Loslassen der Maustaste
    `pWoV` - die vertikale Position der Maus beim Loslassen der Maustaste

### bearbeiteTaste

    public void bearbeiteTaste(char pZeichen)

  Der Ereignisbearbeiter wird ueber das Tastaturereignis informiert.

  Parameters:
    `pZeichen` - das Zeichen, welches eingegeben wurde

### bearbeiteUpdate

    public void bearbeiteUpdate()

  Der Ereignisbearbeiter wird ueber das Updateereignis informiert.

### gibFrei

    public void gibFrei()

  Aus Kompatibilitaetsgruenden

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD